Package org.jfree.report.util

## Class ImageUtils

- java.lang.Object
- - org.jfree.report.util.ImageUtils

-     public final class ImageUtils
      extends java.lang.Object

  Provides utility methods for image creation and manipluation.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static javax.swing.Icon` | `createTransparentIcon​(int width, int height)` | Creates a transparent icon.
    `static java.awt.image.BufferedImage` | `createTransparentImage​(int width, int height)` | Creates a transparent image.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createTransparentImage

          public static java.awt.image.BufferedImage createTransparentImage​(int width,
                                                                            int height)

      Creates a transparent image. These can be used for aligning menu items.
      Parameters:
        `width` - the width.
        `height` - the height.
      Returns:
        the created transparent image.

    - #### createTransparentIcon

          public static javax.swing.Icon createTransparentIcon​(int width,
                                                               int height)

      Creates a transparent icon. The Icon can be used for aligning menu items.
      Parameters:
        `width` - the width of the new icon
        `height` - the height of the new icon
      Returns:
        the created transparent icon.